libgimpprint API Reference: stp_parameter_t struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# stp_parameter_t Struct Reference
[vars]

Parameter description. More...

`#include <vars.h>`

## Data Fields
const char * | name
const char * | text
const char * | category
const char * | help
stp_parameter_type_t | p_type
stp_parameter_class_t | p_class
stp_parameter_level_t | p_level
unsigned char | is_mandatory
unsigned char | is_active
unsigned char | channel
unsigned char | verify_this_parameter
unsigned char | read_only
union {
stp_curve_t * curve
stp_double_bound_t dbl
stp_int_bound_t integer
stp_int_bound_t dimension
stp_string_list_t * str
stp_array_t * array
} | bounds
union {
stp_curve_t * curve
double dbl
int dimension
int integer
int boolean
const char * str
stp_array_t * array
} | deflt

## Detailed Description

Parameter description.

Definition at line 147 of file vars.h.

## Field Documentation

stp_array_t* stp_parameter_t::array

| Default array parameter value. Definition at line 178 of file vars.h.

stp_array_t* stp_parameter_t::array

| array parameter value. Definition at line 168 of file vars.h.

int stp_parameter_t::boolean

| Default string_list parameter value. Definition at line 176 of file vars.h.

union { ... } stp_parameter_t::bounds

| Limits on the values the parameter may take. Referenced by escp2_parameters(), fill_transition_parameters(), lexmark_parameters(), olympus_parameters(), pcl_parameters(), ps_parameters_internal(), raw_parameters(), stp_describe_parameter(), stp_dither_describe_parameter(), stp_merge_printvars(), stp_parameter_description_destroy(), stpi_color_traditional_describe_parameter(), stpi_describe_generic_parameter(), verify_curve_param(), verify_dimension_param(), verify_double_param(), verify_int_param(), and verify_string_param().

const char* stp_parameter_t::category

| User-visible category name. Definition at line 151 of file vars.h. Referenced by stp_fill_parameter_settings().

unsigned char stp_parameter_t::channel

| The channel to which this parameter applies Definition at line 158 of file vars.h. Referenced by stp_fill_parameter_settings().

stp_curve_t* stp_parameter_t::curve

| Default curve parameter value. Definition at line 172 of file vars.h.

stp_curve_t* stp_parameter_t::curve

| curve parameter value. Definition at line 163 of file vars.h.

double stp_parameter_t::dbl

| Default double_bound parameter value. Definition at line 173 of file vars.h.

stp_double_bound_t stp_parameter_t::dbl

| double_bound parameter value. Definition at line 164 of file vars.h.

union { ... } stp_parameter_t::deflt

| Default value of the parameter. Referenced by escp2_parameters(), fill_transition_parameters(), initialize_standard_curves(), lexmark_parameters(), olympus_parameters(), pcl_parameters(), ps_parameters_internal(), raw_parameters(), set_printer_defaults(), stp_describe_parameter(), stp_dither_describe_parameter(), stp_get_boolean_parameter(), stp_get_dimension_parameter(), stp_get_float_parameter(), stp_get_int_parameter(), stp_merge_printvars(), stp_scale_float_parameter(), stpi_color_traditional_describe_parameter(), and stpi_describe_generic_parameter().

int stp_parameter_t::dimension

| Default int_bound parameter value. Definition at line 174 of file vars.h.

stp_int_bound_t stp_parameter_t::dimension

| int_bound parameter value. Definition at line 166 of file vars.h.

const char* stp_parameter_t::help

| Help string. Definition at line 152 of file vars.h. Referenced by stp_fill_parameter_settings().

int stp_parameter_t::integer

| Default int_bound parameter value. Definition at line 175 of file vars.h.

stp_int_bound_t stp_parameter_t::integer

| int_bound parameter value. Definition at line 165 of file vars.h.

unsigned char stp_parameter_t::is_active

| Is the parameter active? Definition at line 157 of file vars.h. Referenced by escp2_parameters(), fill_transition_parameters(), olympus_parameters(), ps_parameters_internal(), raw_parameters(), set_color_transition_parameter(), set_density_parameter(), set_gray_transition_parameter(), stp_dither_describe_parameter(), stp_fill_parameter_settings(), stp_verify_parameter(), stp_verify_printer_params(), and stpi_color_traditional_describe_parameter().

unsigned char stp_parameter_t::is_mandatory

| The parameter is required, even when set inactive. Definition at line 156 of file vars.h. Referenced by set_printer_defaults(), stp_fill_parameter_settings(), verify_curve_param(), verify_dimension_param(), verify_double_param(), verify_int_param(), and verify_string_param().

const char* stp_parameter_t::name

| Internal name (key). Definition at line 149 of file vars.h. Referenced by param_namefunc(), print_debug_params(), set_printer_defaults(), stp_fill_parameter_settings(), stp_merge_printvars(), stp_parameter_list_append(), stp_verify_printer_params(), and stpi_color_traditional_describe_parameter().

stp_parameter_class_t stp_parameter_t::p_class

| Parameter class. Definition at line 154 of file vars.h. Referenced by set_printer_defaults(), stp_fill_parameter_settings(), and stp_merge_printvars().

stp_parameter_level_t stp_parameter_t::p_level

| Parameter level. Definition at line 155 of file vars.h. Referenced by stp_dither_describe_parameter(), stp_fill_parameter_settings(), and stpi_color_traditional_describe_parameter().

stp_parameter_type_t stp_parameter_t::p_type

| Parameter type. Definition at line 153 of file vars.h. Referenced by escp2_parameters(), olympus_parameters(), print_debug_params(), ps_parameters_internal(), raw_parameters(), set_printer_defaults(), stp_describe_parameter(), stp_dither_describe_parameter(), stp_fill_parameter_settings(), stp_get_boolean_parameter(), stp_get_dimension_parameter(), stp_get_float_parameter(), stp_get_int_parameter(), stp_merge_printvars(), stp_parameter_description_destroy(), stp_scale_float_parameter(), stp_verify_parameter(), stpi_color_traditional_describe_parameter(), and stpi_describe_generic_parameter().

unsigned char stp_parameter_t::read_only

| Definition at line 160 of file vars.h. Referenced by stp_fill_parameter_settings(), and stp_verify_parameter().

const char* stp_parameter_t::str

| Default string_list parameter value. Definition at line 177 of file vars.h.

stp_string_list_t* stp_parameter_t::str

| string_list parameter value. Definition at line 167 of file vars.h.

const char* stp_parameter_t::text

| User-visible name. Definition at line 150 of file vars.h. Referenced by param_longnamefunc(), and stp_fill_parameter_settings().

unsigned char stp_parameter_t::verify_this_parameter

| Should the verify system check this parameter? Definition at line 159 of file vars.h. Referenced by stp_fill_parameter_settings(), and stp_verify_printer_params().

The documentation for this struct was generated from the following file:

- include/gimp-print/vars.h